Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecifiedDes

    java.lang.Object
      jet.api.SpecifiedDes

All Implemented Interfaces:
  java.lang.Cloneable

    public class SpecifiedDes

extends java.lang.Object
implements java.lang.Cloneable

A infomation package of Specified group description

Field Summary
`static int` | `BETWEEN` Operator "Between"
`static int` | `EQUAL` Operator "Equal"
`static int` | `GREATER` Operator "Greater"
`static int` | `LESS` Operator "Less"
`static int` | `NOT_BETWEEN` Operator "Between"
`static int` | `NOT_EQUAL` Operator "Equal"
`static int` | `NOT_GREATER` Operator "Greater"
`static int` | `NOT_LESS` Operator "Less"

Constructor Summary
`SpecifiedDes(java.lang.String groupName, int operator, java.lang.String operand1, java.lang.String operand2)` Constructor.
`SpecifiedDes(java.lang.String groupName, int operator, java.util.Vector operands)`

Method Summary
`java.lang.String` | `getGroupName()` get group name of this Specified Description
`java.lang.String` | `getOperand(int index)` get Operand name of this Specified Description
`java.util.Vector` | `getOperands()`
`int` | `getOperator()` get Operator of this Specified Description
`void` | `setOperands(java.util.Vector operands)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BETWEEN

    public static final int BETWEEN

  Operator "Between"

### GREATER

    public static final int GREATER

  Operator "Greater"

### LESS

    public static final int LESS

  Operator "Less"

### EQUAL

    public static final int EQUAL

  Operator "Equal"

### NOT_BETWEEN

    public static final int NOT_BETWEEN

  Operator "Between"

### NOT_GREATER

    public static final int NOT_GREATER

  Operator "Greater"

### NOT_LESS

    public static final int NOT_LESS

  Operator "Less"

### NOT_EQUAL

    public static final int NOT_EQUAL

  Operator "Equal"

Constructor Detail

### SpecifiedDes

    public SpecifiedDes(java.lang.String groupName,
                        int operator,
                        java.lang.String operand1,
                        java.lang.String operand2)

  Constructor. Create Specified group information.

  Parameters:
    `groupName` - the name of the Specified group.
    `operator` - the operator to filter date in this group.
    `operand1` - the first operand.
    `operand2` - the second operand if the operator need two oprands.

### SpecifiedDes

    public SpecifiedDes(java.lang.String groupName,
                        int operator,
                        java.util.Vector operands)

Method Detail

### setOperands

    public void setOperands(java.util.Vector operands)

### getOperands

    public java.util.Vector getOperands()

### getGroupName

    public java.lang.String getGroupName()

  get group name of this Specified Description

  Returns:
    groupName the name of the Specified group.

### getOperator

    public int getOperator()

  get Operator of this Specified Description

  Returns:
    operator the int value of operator to filter date in this group.

### getOperand

    public java.lang.String getOperand(int index)

  get Operand name of this Specified Description

  Parameters:
    `index` - the index of operand , the index start with 1, end with 2.
  Returns:
    the string value of operand accordind to operand index.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD